﻿using Microsoft.Practices.Prism;
using Microsoft.Practices.Prism.Commands;
using Microsoft.Practices.Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamRibbonDelegateCommandTest
{
    public class ViewModelBase :  INavigationAware, IActiveAware
    {
        public DelegateCommand SaveCommand { get; set; }
       
        public ViewModelBase()
        {
            SaveCommand = new DelegateCommand(OnSave, CanSave);
        }
       
        protected virtual void OnSave()
        {

        }   

        private bool CanSave()
        {
            return true;
        }

        public event EventHandler IsActiveChanged;
        private bool _isActive;
        public bool IsActive
        {
            get
            {
                return _isActive;
            }

            set
            {
                if(_isActive != value)
                {
                    _isActive = value;
                }
            }
        }


        public void OnNavigatedTo(NavigationContext navigationContext)
        {
            return;
        }

        public bool IsNavigationTarget(NavigationContext navigationContext)
        {
            return false;
        }

        public void OnNavigatedFrom(NavigationContext navigationContext)
        {
            return;
        }
    }
}
